const { defineConfig } = require("vite");
const { viteSingleFile } = require("vite-plugin-singlefile");

module.exports = defineConfig({
  plugins: [viteSingleFile()],
  build: {
    // 所有资源内联到 HTML，目标单文件广告
    assetsInlineLimit: 100 * 1024 * 1024, // 不限大小，全部内联
    target: "es2017",
    rollupOptions: {
      input: {
        main: "./index.html",
      },
    },
  },
});
